local modRep = require "VAB_modRep"

function data()
	return {
		info = {
			name = "Vehicle Asset Builder",
			description = _("mod_desc"),
			minorVersion = 0,
			severityAdd = "NONE",
			severityRemove = "WARNING",
			tags = {"Vehicle", "Asset", "Track Asset"},
			authors = {
				{
					name = "VacuumTube",
					role = "CREATOR",
					tfnetId = 29264,
				},
			},
		},
		postRunFn = function (settings, modparams)
			
			local modelIds, modelNames = modRep.getModelsVehicles()
			
			local VABcon = api.res.constructionRep.get(api.res.constructionRep.find("Vehicle_Asset_Builder.con"))
			for _,p in pairs(VABcon.params) do 
				if p.key=="VABmodelID" then 
					p.values = modelNames.locomotive
				end
			end
			
			VABcon.updateScript.fileName = "construction/Vehicle_Asset_Builder.updateFn"
			VABcon.updateScript.params = {
				modelIds = modelIds.locomotive,
			}
		end
	}
end