local ParamBuilder = require "parambuilder_v1_1"

local params = {
	Model = ParamBuilder.Combobox("VABmodelID", _("Model"), {"dummy"} ),  -- values are set dynamically in postRunFn
	OffsetX = ParamBuilder.Slider("VABOffsetX", "Offset X [m]", ParamBuilder.rangeSymm(1,0.01), 1/0.01 ),
	--OffsetY = ParamBuilder.Slider("VABOffsetY", "Offset Y [m]", ParamBuilder.rangeSymm(1,0.01), 1/0.01 ),
	OffsetZ = ParamBuilder.Slider("VABOffsetZ", "Offset Z [m]", ParamBuilder.range(0,2,0.01), 105, _("offz_tt") ),  -- rail height: 1.05
	--RotationZ = ParamBuilder.Slider("VABRotationZ", "Rotation Z (Ebene) [°]", ParamBuilder.range(0,360,5) ),
	RotationY = ParamBuilder.Slider("VABRotationY", "Rotation Y (Neigung) [‰]", ParamBuilder.rangeSymm(75), 75 ),
}

params.paramsDef = { -- for definition in .con
	params.Model.params,
	params.OffsetX.params,
	--params.OffsetY.params,
	params.OffsetZ.params,
	--params.RotationZ.params,
	params.RotationY.params,
}

return params